Loading...
Searching...
No Matches
DPMParametricMapIOD::Frames< PixelType > Class Template Reference

Inner class that offers typed interface to bulk data. More...

## Public Types

typedef PixelType | pixel_type
| Binary pixel type.

## Public Member Functions

OFCondition | addFrame (PixelType *data, const size_t numPixels, const OFVector< FGBase * > &perFrameInformation)
| Method that adds a frame to the Parametric Map using the underlying binary data type.
PixelType * | getFrame (const size_t frameNumber)
| Type-specific getFrame() method that returns Float32, Uint16, or whatever is used in this Parametric Map.

## Private Member Functions

| Frames (DPMParametricMapIOD &map)
| Create Frames object in DPMParametricMapIOD (see friend declaration above).

## Private Attributes

DPMParametricMapIOD & | m_Map
| Reference to Parametric Map object in order to access its pixel data.

## Friends

class | DPMParametricMapIOD
| Make sure the Parametric Map object (and no one else) can use the constructor below.

## Detailed Description

template<typename PixelType>
class DPMParametricMapIOD::Frames< PixelType >

Inner class that offers typed interface to bulk data.

## Constructor & Destructor Documentation

## Frames()

template<typename PixelType>

DPMParametricMapIOD::Frames< PixelType >::Frames | ( | DPMParametricMapIOD & | map | ) |

private

Create Frames object in DPMParametricMapIOD (see friend declaration above).

Parameters

  map | The map object that will contain the frames

References DPMParametricMapIOD.

## Member Function Documentation

## addFrame()

template<typename PixelType>

OFCondition DPMParametricMapIOD::Frames< PixelType >::addFrame | ( | PixelType * | data,
|  | const size_t | numPixels,
|  | const OFVector< FGBase * > & | perFrameInformation )

Method that adds a frame to the Parametric Map using the underlying binary data type.

Parameters

  data | The frame data
  numPixels | The number of pixels (rows * columns) of the frame
  perFrameInformation | The per-frame functional groups applying for

Returns
  EC_Normal if adding was successful, error otherwise

## getFrame()

template<typename PixelType>

PixelType * DPMParametricMapIOD::Frames< PixelType >::getFrame | ( | const size_t | frameNumber | ) |

Type-specific getFrame() method that returns Float32, Uint16, or whatever is used in this Parametric Map.

Parameters

  frameNumber | The frame number to get, starting from 0

Returns
  Pointer to typed pixel data

The documentation for this class was generated from the following file:

- dcmpmap/include/dcmtk/dcmpmap/dpmparametricmapiod.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0